#
# spec file for package xcb
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _appdefdif %{_datadir}/X11/app-defaults
Name:           xcb
Version:        2.5
Release:        205.3
Summary:        X11 cut&paste utility
License:        MIT
Group:          System/X11/Utilities
URL:            http://www.goof.com/pcg/marc/xcb.html
Source:         %{name}-%{version}.tar.bz2
Patch0:         xcb-prototype.patch
# fix build with gcc 15
Patch1:         xcb-gcc15.patch
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)

%description
Xcb provides access to the cut buffers built into every X server. It
allows the buffers to be manipulated either via the command line or
with the mouse in a point and click manner.  The buffers can be used as
holding pens to store and retrieve arbitrary data fragments, so any
number of different pieces of data can be saved and recalled later. The
program is designed primarily for use with textual data.

%prep
%autosetup -p1

%build
xmkmf -a
%make_build CCOPTIONS="%{optflags}"

%install
%make_install install.man

%files
%doc README Changes
%{_bindir}/xcb
%{_appdefdif}
%{_mandir}/man1/xcb.1x*

%changelog
* Fri Feb 14 2025 pgajdos@suse.com
- added patches
  fix fix build with gcc 15
  + xcb-gcc15.patch
* Thu Jul 25 2024 Marcus Meissner <meissner@suse.com>
- xcb-prototype.patch: fix main() prototype for gcc14
* Mon Feb  8 2021 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Wed Oct  1 2014 crrodriguez@opensuse.org
- Cleanup buildrequires, do not use xorg-x11-devel
* Thu Feb 23 2012 coolo@suse.com
- fix build on factory
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Mon Jul 24 2006 mmarek@suse.de
- fix filelist for build with modular Xorg
- use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug  3 2005 anicka@suse.cz
- update to 2.5 from CVS
* Tue Feb 17 2004 postadal@suse.cz
- updated to branched version 2.4 (by Marc Lehmann <pcg@goof.com>)
  * fixes and better i18n support
- added norootforbuild flag to the spec file
- replaced xf86 by x-devel-packages in neededforbuild flag
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Nov 21 2000 cihlar@suse.cz
- fixed copyright
* Fri May 19 2000 cihlar@suse.cz
- Group sorted
* Tue Apr 11 2000 cihlar@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
